frontend ca.test.my.corp
	bind [::]:80
	bind [::]:443 ssl crt /etc/haproxy/https-EC.chain.pem crt /etc/haproxy/https-RSA.chain.pem

	acl needs_tls path_beg -i /ui
	acl needs_tls path_beg -i /admin
	acl needs_tls path_beg -i /acme

	http-request redirect prefix /ui if { path / }
	http-request redirect scheme https if needs_tls !{ ssl_fc }

	use_backend node_red_http

frontend tsu.test.my.corp
	mode tcp
	bind [::]:318
	use_backend node_red_tsu

backend node_red_http
	balance source
	option httpchk /health
	server ca 127.0.0.1:1880

backend node_red_tsu
	mode tcp
	balance source
	option tcp-check
	server ca 127.0.0.1:3180

listen stats
	bind [::]:8080
	http-request use-service prometheus-exporter
	stats enable
	stats uri /metrics
	stats refresh 5s
